# Class CIM_PacketConditionInSARule
extends CIM_PolicyConditionInPolicyRule

PacketConditionInSARule aggregates an SARule with at least one instance of PacketFilterCondition. This is a specialization of the PolicyConditionInPolicyRule association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_PolicyComponent
|
+--CIM_PolicyConditionStructure
|
+--CIM_PolicyConditionInPolicyRule
|
+--CIM_PacketConditionInSARule

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | PacketConditionInSARule aggregates an SARule with at least one instance of PacketFilterCondition. This is a specialization of the PolicyConditionInPolicyRule association.
MappingStrings | string | IPSP Policy Model.IETF|SAConditionInRule
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_PacketConditionInSARule | CIM_SARule
PartComponent | CIM_PacketConditionInSARule | CIM_PacketFilterCondition

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
ConditionNegated | boolean | CIM_PolicyConditionStructure
GroupNumber | uint16 | CIM_PolicyConditionStructure

## Class Methods